/// <reference types="node" />
import { FSWatcher, WatchOptions } from 'chokidar';
import { WatchItem } from '..';
import EventEmitter from 'events';
export declare class WatchManager {
    items: WatchItem[];
    options: WatchOptions;
    watcher?: FSWatcher;
    initial: boolean;
    enabled: boolean;
    enabledTimeStamp: number;
    emitter: EventEmitter;
    constructor(items: WatchItem[], options?: WatchOptions);
    get patterns(): string[];
    findItem(file: string): WatchItem | undefined;
    init(): void;
    triggerHmr(file: string, event: string): void;
    setEnabled(value: boolean): void;
    fullReload(): Promise<void>;
    /** Get all possible filenames to upload */
    getUploadFilenames(filename: string): {
        filename: string;
        server: string;
    }[];
    /** Shoutcut of `getUploadFilenames(filename).find(server) */
    getUploadFilenamesByServer(filename: string, server: string): string | undefined;
}
